json-c 0.18

Data Structures | Macros | Typedefs | Enumerations
json_types.h File Reference

Basic types used in a few places in json-c, but you should include "json_object.h" instead. More...

## Data Structures
struct | json_object_iter

## Macros
#define | JSON_EXPORT extern

## Typedefs
typedef struct json_object_iter | json_object_iter
typedef int | json_bool
typedef struct json_object | json_object
| The core type for all type of JSON objects handled by json-c. More...
typedef void() | json_object_delete_fn(struct json_object *jso, void *userdata)
typedef int() | json_object_to_json_string_fn(struct json_object *jso, struct printbuf *pb, int level, int flags)
typedef enum json_type | json_type

## Enumerations
enum | json_type { json_type_null , json_type_boolean , json_type_double , json_type_int , json_type_object , json_type_array , json_type_string }

## Detailed Description

Basic types used in a few places in json-c, but you should include "json_object.h" instead.

## Macro Definition Documentation

## ◆ JSON_EXPORT

#define JSON_EXPORT extern

## Typedef Documentation

## ◆ json_bool

typedef int json_bool

## ◆ json_object

typedef struct json_object json_object

The core type for all type of JSON objects handled by json-c.

## ◆ json_object_delete_fn

typedef void() json_object_delete_fn(struct json_object *jso, void *userdata)

Type of custom user delete functions. See json_object_set_serializer.

## ◆ json_object_iter

typedef struct json_object_iter json_object_iter

## ◆ json_object_to_json_string_fn

typedef int() json_object_to_json_string_fn(struct json_object *jso, struct printbuf *pb, int level, int flags)

Type of a custom serialization function. See json_object_set_serializer.

## ◆ json_type

typedef enum json_type json_type

## Enumeration Type Documentation

## ◆ json_type

enum json_type

Enumerator
json_type_null |
json_type_boolean |
json_type_double |
json_type_int |
json_type_object |
json_type_array |
json_type_string |